\name{badorder}
\alias{badorder}
\non_function{}

\title{An intercross with misplaced markers}

\description{
  Simulated data for an intercross with some markers out of order.
}  

\usage{data(badorder)}

\format{
  An object of class \code{cross}.  See \code{\link[qtl]{read.cross}}
  for details. 
}

\details{
  There are 250 F2 individuals typed at a total of 36 markers on four
  chromosome.  The data were simulated with QTLs at the center of
  chromosomes 1 and 2. 

  The order of several markers on chromosome 1 is incorrect.  Markers on
  chromosomes 2 and 3 are switched.
}

\examples{
data(badorder)
# estimate recombination fractions
badorder <- est.rf(badorder)
plot.rf(badorder)

# re-estimate map
newmap <- est.map(badorder)
plot.map(badorder,newmap)

# assess marker order on chr 1
\dontrun{rip3 <- ripple(badorder,1,window=3)
summary(rip3)}
}

\seealso{ \code{\link[qtl]{est.rf}}, \code{\link[qtl]{ripple}}, 
  \code{\link[qtl]{est.map}}, \code{\link[qtl]{sim.cross}} }

\author{Karl W Broman, \email{kbroman@jhsph.edu} }

\keyword{datasets}
